rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs | Enumerations | Functions | Variables
rpmio/rpmlua.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef enum rpmluavType_e | rpmluavType
typedef struct rpmlua_s * | rpmlua
typedef struct rpmluav_s * | rpmluav

## Enumerations

enum | rpmluavType_e { RPMLUAV_NIL = 0, RPMLUAV_STRING = 1, RPMLUAV_NUMBER = 2 }

## Functions

rpmlua | rpmluaGetGlobalState (void)
rpmlua | rpmluaNew (void)
void * | rpmluaFree (rpmlua lua)
int | rpmluaCheckScript (rpmlua _lua, const char *script, const char *name)
int | rpmluaRunScript (rpmlua _lua, const char *script, const char *name)
int | rpmluaRunScriptFile (rpmlua _lua, const char *filename)
void | rpmluaInteractive (rpmlua _lua)
void * | rpmluaGetData (rpmlua _lua, const char *key)
void | rpmluaSetData (rpmlua _lua, const char *key, const void *data)
const char * | rpmluaGetPrintBuffer (rpmlua _lua)
void | rpmluaSetPrintBuffer (rpmlua _lua, int flag)
void | rpmluaGetVar (rpmlua _lua, rpmluav var)
void | rpmluaSetVar (rpmlua _lua, rpmluav var)
void | rpmluaDelVar (rpmlua _lua, const char *key,...)
int | rpmluaVarExists (rpmlua _lua, const char *key,...)
void | rpmluaPushTable (rpmlua _lua, const char *key,...)
void | rpmluaPop (rpmlua _lua)
rpmluav | rpmluavNew (void)
void * | rpmluavFree (rpmluav var)
void | rpmluavSetListMode (rpmluav var, int flag)
void | rpmluavSetKey (rpmluav var, rpmluavType type, const void *value)
void | rpmluavSetValue (rpmluav var, rpmluavType type, const void *value)
void | rpmluavGetKey (rpmluav var, rpmluavType *type, void **value)
void | rpmluavGetValue (rpmluav var, rpmluavType *type, void **value)
void | rpmluavSetKeyNum (rpmluav var, double value)
void | rpmluavSetValueNum (rpmluav var, double value)
double | rpmluavGetKeyNum (rpmluav var)
double | rpmluavGetValueNum (rpmluav var)
int | rpmluavKeyIsNum (rpmluav var)
int | rpmluavValueIsNum (rpmluav var)

## Variables

const char * | rpmluaFiles
const char * | rpmluaPath

## Typedef Documentation

typedef struct rpmlua_s* rpmlua

Definition at line 45 of file rpmlua.h.

typedef struct rpmluav_s* rpmluav

Definition at line 46 of file rpmlua.h.

typedef enum rpmluavType_e rpmluavType

## Enumeration Type Documentation

enum rpmluavType_e

Enumerator:

  RPMLUAV_NIL |
  RPMLUAV_STRING |
  RPMLUAV_NUMBER |

Definition at line 4 of file rpmlua.h.

## Function Documentation

int rpmluaCheckScript | ( | rpmlua | _lua,
|  | const char * | script,
|  | const char * | name
| ) |  |

Referenced by parseScript().

void rpmluaDelVar | ( | rpmlua | _lua,
|  | const char * | key,
|  |  | ...
| ) |  |

Referenced by freeSpec().

void* rpmluaFree | ( | rpmlua | lua | ) |

Referenced by rpmioClean().

void* rpmluaGetData | ( | rpmlua | _lua,
|  | const char * | key
| ) |  |

rpmlua rpmluaGetGlobalState | ( | void |  | ) |

Referenced by expandMacro(), and rpmReadConfigFiles().

const char* rpmluaGetPrintBuffer | ( | rpmlua | _lua | ) |

Referenced by expandMacro(), and rpmReadConfigFiles().

void rpmluaGetVar | ( | rpmlua | _lua,
|  | rpmluav | var
| ) |  |

void rpmluaInteractive | ( | rpmlua | _lua | ) |

rpmlua rpmluaNew | ( | void |  | ) |

void rpmluaPop | ( | rpmlua | _lua | ) |

Referenced by addSource().

void rpmluaPushTable | ( | rpmlua | _lua,
|  | const char * | key,
|  |  | ...
| ) |  |

Referenced by addSource().

int rpmluaRunScript | ( | rpmlua | _lua,
|  | const char * | script,
|  | const char * | name
| ) |  |

Referenced by expandMacro().

int rpmluaRunScriptFile | ( | rpmlua | _lua,
|  | const char * | filename
| ) |  |

void rpmluaSetData | ( | rpmlua | _lua,
|  | const char * | key,
|  | const void * | data
| ) |  |

void rpmluaSetPrintBuffer | ( | rpmlua | _lua,
|  | int | flag
| ) |  |

void rpmluaSetVar | ( | rpmlua | _lua,
|  | rpmluav | var
| ) |  |

Referenced by addSource().

int rpmluaVarExists | ( | rpmlua | _lua,
|  | const char * | key,
|  |  | ...
| ) |  |

void* rpmluavFree | ( | rpmluav | var | ) |

Referenced by addSource().

void rpmluavGetKey | ( | rpmluav | var,
|  | rpmluavType * | type,
|  | void ** | value
| ) |  |

double rpmluavGetKeyNum | ( | rpmluav | var | ) |

void rpmluavGetValue | ( | rpmluav | var,
|  | rpmluavType * | type,
|  | void ** | value
| ) |  |

double rpmluavGetValueNum | ( | rpmluav | var | ) |

int rpmluavKeyIsNum | ( | rpmluav | var | ) |

rpmluav rpmluavNew | ( | void |  | ) |

Referenced by addSource().

void rpmluavSetKey | ( | rpmluav | var,
|  | rpmluavType | type,
|  | const void * | value
| ) |  |

void rpmluavSetKeyNum | ( | rpmluav | var,
|  | double | value
| ) |  |

void rpmluavSetListMode | ( | rpmluav | var,
|  | int | flag
| ) |  |

Referenced by addSource().

void rpmluavSetValue | ( | rpmluav | var,
|  | rpmluavType | type,
|  | const void * | value
| ) |  |

Referenced by addSource().

void rpmluavSetValueNum | ( | rpmluav | var,
|  | double | value
| ) |  |

int rpmluavValueIsNum | ( | rpmluav | var | ) |

## Variable Documentation

const char* rpmluaFiles

Referenced by rpmShowRC().

const char* rpmluaPath

Referenced by rpmShowRC().